#7 sparky-installer doesn't recognize EFI GPT partitions

3.3
closed
2014-07-12
2013-03-31
No

There is a problem while using the sparky-installer on a drive that uses the Global Partition Table (GPT) used by EFI. The installer script uses fdisk which doesn't support GPT and displays it always as a single partition. This in turn causes the installer to remain blind to the partitions created within GPT.

This issue will be fixed with the new installer. I'm linking the installer ticket here: https://sourceforge.net/p/sparkylinux/tickets/8/

Discussion

    • Milestone: 2.0 --> 3.2
     
    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,3 +1,3 @@
     There is a problem while using the sparky-installer on a drive that uses the Global Partition Table (GPT) used by EFI. The installer script uses fdisk which doesn't support GPT and displays it always as a single partition. This in turn causes the installer to remain blind to the partitions created within GPT.
    
    -I'm currently working on a way to fix this.
    +This issue will be fixed with the new installer. I'm linking the installer ticket here: https://sourceforge.net/p/sparkylinux/tickets/8/
    
     
    • status: accepted --> closed
    • Milestone: 3.2 --> 3.3
     
  • Sparky is EFI-capable sine 3.3 and the inclusion of the new installer.